Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# GIOP::IORAddressingInfo_out Class Reference

`#include <GIOPC.h>`

Collaboration diagram for GIOP::IORAddressingInfo_out:

[legend]
List of all members.

## Public Methods
| IORAddressingInfo_out (IORAddressingInfo *&)
| IORAddressingInfo_out (IORAddressingInfo_var &)
| IORAddressingInfo_out (const IORAddressingInfo_out &)
IORAddressingInfo_out & | operator= (const IORAddressingInfo_out &)
IORAddressingInfo_out & | operator= (IORAddressingInfo *)
| operator IORAddressingInfo *& ()
IORAddressingInfo *& | ptr (void)
IORAddressingInfo * | operator-> (void)
## Private Methods
void | operator= (const IORAddressingInfo_var &)
## Private Attributes
IORAddressingInfo *& | ptr_

## Constructor & Destructor Documentation

ACE_INLINE GIOP::IORAddressingInfo_out::IORAddressingInfo_out | ( | GIOP::IORAddressingInfo *& | p | ) |

ACE_INLINE GIOP::IORAddressingInfo_out::IORAddressingInfo_out | ( | GIOP::IORAddressingInfo_var & | p | ) |

ACE_INLINE GIOP::IORAddressingInfo_out::IORAddressingInfo_out | ( | const IORAddressingInfo_out & | p | ) |

## Member Function Documentation

GIOP::IORAddressingInfo_out::operator IORAddressingInfo *& | ( |  | ) |

ACE_INLINE GIOP::IORAddressingInfo * GIOP::IORAddressingInfo_out::operator-> | ( | void |  | ) |

void GIOP::IORAddressingInfo_out::operator= | ( | const IORAddressingInfo_var & |  | ) | `[private]`

ACE_INLINE GIOP::IORAddressingInfo_out & GIOP::IORAddressingInfo_out::operator= | ( | GIOP::IORAddressingInfo * | p | ) |

ACE_INLINE GIOP::IORAddressingInfo_out & GIOP::IORAddressingInfo_out::operator= | ( | const IORAddressingInfo_out & | p | ) |

ACE_INLINE GIOP::IORAddressingInfo *& GIOP::IORAddressingInfo_out::ptr | ( | void |  | ) |

## Member Data Documentation

IORAddressingInfo*& GIOP::IORAddressingInfo_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- GIOPC.h
- GIOPC.i